'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _cuid = require('cuid');

var _cuid2 = _interopRequireDefault(_cuid);

var _reactRouter = require('react-router');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Dropdown = function Dropdown(_ref) {
  var items = _ref.items,
      dropup = _ref.dropup,
      children = _ref.children,
      title = _ref.title;


  var id = (0, _cuid2.default)();

  var dropdownItems = children.map(function (item, i) {
    return item.separator ? _react2.default.createElement('li', {
      key: i,
      role: 'separator',
      className: 'divider'
    }) : _react2.default.createElement(
      'li',
      { key: i },
      item.to || !item.useAnchors ? _react2.default.createElement(
        _reactRouter.Link,
        { to: item.to },
        item.text
      ) : _react2.default.createElement(
        'a',
        { href: item.to ? item.to : '#' },
        item.text
      )
    );
  });

  return _react2.default.createElement(
    'div',
    { className: dropup ? 'dropup' : 'dropdown' },
    _react2.default.createElement(
      'button',
      {
        className: 'btn btn-default dropdown-toggle',
        type: 'button',
        id: id,
        'data-toggle': 'dropdown',
        'aria-haspopup': 'true',
        'aria-expanded': 'true'
      },
      title,
      ' ',
      _react2.default.createElement('span', { className: 'caret' })
    ),
    _react2.default.createElement(
      'ul',
      { className: 'dropdown-menu', 'aria-labelledby': id },
      dropdownItems
    )
  );
}; /**
    * Created by timur on 2/20/17.
    */

exports.default = Dropdown;